Bug 963435 - The Nectar config has a key called proxy_url when it is really a proxy host
The Nectar config has a key called proxy_url when it is really a proxy host
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
low Severity unspecified
: ---
: 2.3.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 15:33 EDT by Randy Barlow
Modified: 2013-12-09 09:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-05-15 15:33:56 EDT
We should rename the configuration item proxy_url to proxy_host in the DownloadConfig so that it's not misleading.
Comment 1 Barnaby Court 2013-09-26 13:00:52 EDT
proxy_url has already been renamed to proxy_host in all repositories outside of nectar.  Nectar is still using the proxy_url as a url as opposed to a hostname so it makes sense to be calling it a URL in context of the nectar config.  The pulp server is mapping proxy_host to proxy_url in pulp/server/pulp/plugins/util/nectar_config.py

No change needs to be made for this bug.
Comment 2 Preethi Thomas 2013-09-30 13:10:05 EDT
moving to verified
Comment 3 Preethi Thomas 2013-12-09 09:31:18 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.